Bug 858055 - spacewalk-setup fails with remote postgresql server
spacewalk-setup fails with remote postgresql server
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
1.8
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-09-17 17:47 EDT by Abel Lopez
Modified: 2012-11-01 12:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 08:27:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abel Lopez 2012-09-17 17:47:29 EDT
Description of problem:
Using a known good postgresql remote server (not localhost) spacewalk-setup fails to populate the database. I have verified connectivity between both hosts using psql.

Version-Release number of selected component (if applicable):
1.8

How reproducible:
Everytime.



Steps to Reproduce:
1.install postgresql-server on one host, setup as per https://fedorahosted.org/spacewalk/wiki/PostgreSQLServerSetup

2.Install spacewalk-postgresql on another host,and attempt spacewalk-setup using IP of the DB host

3.
  
Actual results:
SET
psql:/usr/share/pgsql/contrib/dblink.sql:11: ERROR:  could not access file "$libdir/dblink": No such file or directory

Expected results:
host with spacewalk-postgresql installed should have connected to DB host and setup database

Additional info:
Comment 1 Jan Pazdziora 2012-09-24 08:27:33 EDT
You will need to install postgresql84-contrib or postgresql-contrib on your PostgreSQL server as well.

I've amended the page now:

https://fedorahosted.org/spacewalk/wiki/PostgreSQLServerSetup#Thecontribpackage

Note You need to log in before you can comment on or make changes to this bug.